local decision_id = ngx.var.decision_id
local decision_org = ngx.var.decision_org
local decision_number = ngx.var.decision_number
local decision_date = ngx.var.decision_date

ngx.status = 451

ngx.sleep(2)

local page = "/var/www/cyberfilter/pages/block.html"

file = io.open(page, "r")

if not file then
    ngx.log(ngx.ERR, "block: default page not exists: " .. page)
    return ngx.exit(ngx.HTTP_INTERNAL_SERVER_ERROR)
end

local content = file:read("*all")
file:close()

content = content:gsub("{ORG}", decision_org)
content = content:gsub("{NUMBER}", decision_number)
content = content:gsub("{DATE}", decision_date)

ngx.say(content)
return ngx.exit(ngx.OK)
